﻿@model IEnumerable<Secret>

@{
    ViewData["Title"] = "Liste secrets usager";
}

@{
    var IdUsager = ViewBag.IdUsager;
    var Prenom = ViewBag.Prenom;
    var Nom = ViewBag.Nom;
    var Alias = ViewBag.Alias;
}

<form asp-action="ListeSecretsUsager" method="get">
    Recherche: <input type="text" name="searchString" />
    <input type="submit" value="Search" />
</form>

<p>
    <a asp-action="ListeSecretsUsager" asp-route-id="@IdUsager">Retour vers la liste complète.</a>
</p>


@if (!string.IsNullOrEmpty(ViewBag.searchString))
{
    <p>Résultats pour la recherche : @Html.Raw(ViewBag.searchString) </p>
}

<h1>Liste des secrets de <mark style="color:green">@Prenom @Nom (@@@Alias)</mark> </h1>

<table class="table">
    <thead>
        <tr>
            <th>ID secret</th>
            <th>Secret</th>
            <th>Description</th>
            <th>Publique</th>
            <th>ID usager</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr> 
                <td>@Html.Raw(item.Id)</td>
                <td>@Html.Raw(item.Apercu)</td>
                <td>@Html.Raw(item.Description)</td>
                <td>@Html.Raw(item.Publique)</td>
                <td>@Html.Raw(item.IdUsager)</td>
                <td>
                    <a asp-controller="Secret" asp-action="Editer" asp-route-id="@item.Id"> Modifier </a>
                </td>
            </tr>
        }
    </tbody>
</table>

<form method="post" enctype="multipart/form-data" asp-controller="FileIO" asp-action="TeleverserFichier" asp-route-IdUsager="@IdUsager">
    <div class="form-group">
        <div class="col-md-10">
            <p><b>Téléversez un journal:</b></p>
            <input type="file" name="fichier" />
            <input type="submit" value="Envoyer" />
        </div>
    </div>

    @if (!string.IsNullOrEmpty((string)TempData["filePath"]))
    {
        <p>Votre journal a été enregistrée avec succès dans @TempData["filePath"] </p>
    }
</form>